# -*- mode: ruby -*-
# vi: set ft=ruby :

Vagrant.configure(2) do |config|
    config.vm.box = "bento/ubuntu-18.04"
    config.vm.synced_folder "./", "/home/vagrant/src"
    config.vm.hostname = "nomad-demo"
    config.vm.provision "docker" do |d|
    end
  
    config.vm.provision "shell", path: "./bootstrap/install.sh"
    config.vm.network "forwarded_port", guest: 4646, host: 4646, auto_correct: true, host_ip: "127.0.0.1"
    config.vm.network "forwarded_port", guest: 8500, host: 8500, auto_correct: true, host_ip: "127.0.0.1"
    config.vm.network "forwarded_port", guest: 9002, host: 9002, auto_correct: true, host_ip: "127.0.0.1" #countdash
    config.vm.network "forwarded_port", guest: 8888, host: 8888, auto_correct: true, host_ip: "127.0.0.1" #gitlab
    
    config.vm.provider "virtualbox" do |vb|
      vb.memory = "8192"
      vb.cpus = 4
    end
  end
